#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int n, m;
    cin>>n>>m;
    char znak[11][11];
    bool prazna=true;
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<m; j++){
            cin>>znak[i][j];
            if(znak[i][j]!='.')
            {
                prazna=false;
            }
          }
    }
    if(prazna)
    {
        for(int i=0; i<min(m, n); i++)
        {
            znak[i][i]='C';
        }
        for(int i=0; i<n; i++)
        {
           for(int j=0; j<m; j++)
           {
             cout<<znak[i][j];
           }
           cout<<endl;
        }
    }
    else
    {
        cout<<-1;
      /* for(int i=0; i<n; i++)
       {
         for(int j=0; j<m; j++)
         {
            if(znak[i][j]=='0')
            {
                if(znak[i][j-1]=='.')znak[i][j-1]='x';
                if(znak[i][j+1]=='.')znak[i][j+1]='x';
                if(znak[i-1][j]=='.')znak[i-1][j]='x';
                if(znak[i+1][j]=='.')znak[i+1][j]='x';
            }
            if(znak[i][j]=='4')
            {
                if(znak[i][j-1]=='.')
                {
                    znak[i][j-1]='C';
                    for(int i1=0; i1<n; i1++)
                    {
                        if(znak[i1][j-1]=='.')znak[i1][j-1]='x';
                    }
                    for(int j1=0; j1<m; j1++)
                    {

                    }

                }
            }
         }
       }*/
    }

    return 0;
}